> ## Documentation Index
> Fetch the complete documentation index at: https://help.memoryplugin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation Count

> Returns the total count of imported conversations (excluding excluded and quota-blocked ones).

## Overview

Returns the total count of imported conversations for the authenticated user. Excludes conversations that have been excluded or blocked by quota limits.

### Example

```bash theme={null}
curl "https://www.memoryplugin.com/api/chat-history/count" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


## OpenAPI

````yaml GET /api/chat-history/count
openapi: 3.1.0
info:
  title: MemoryPlugin
  version: 1.0.0
  description: API for managing and querying user memories
servers:
  - url: https://www.memoryplugin.com
security: []
paths:
  /api/chat-history/count:
    get:
      summary: Get conversation count
      description: >-
        Returns the total count of imported conversations (excluding excluded
        and quota-blocked ones).
      operationId: GetConversationCount
      responses:
        '200':
          description: Conversation count
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                    description: Total number of active imported conversations.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        text:
          type: string
        score:
          type: number
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````